Subject: Re: bug#76765: 30.1; macOS dictation used to work with Emacs < 30.1

From: Ship Mints <[email-masked]>
Date: Wed, 12 Mar 2025 06:19:46 -0400

On Tue, Mar 11, 2025 at 11:58 PM Charles Choi <[email-masked]>
wrote:

> Both 29.4 and 30.1 were running on the same macOS ARM laptop.
>
> Here is the uname -a on the macOS system running either version of GNU
> Emacs  (29.4, 30.1) related to this issue.
>
> Darwin bingsu.local 24.3.0 Darwin Kernel Version 24.3.0: Thu Jan  2
> 20:24:16 PST 2025; root:xnu-11215.81.4~3/RELEASE_ARM64_T6000 arm64 arm
> Darwin
>

Thank you.  I'm trying to reproduce this myself.  Did dictation using Emacs
ever work for you on older macOS versions?  The macports Emacs seems to
have no special patches and builds the same sources I do.  I do see
dictation works in Terminal.app.  Dictation does not work in other terminal
emulators like kitty or wezterm.  If I can help fix this, I will try.
It'll be way easier if I/we can reproduce a working experience...